<?php

namespace App\Enums;

enum MenuType: int
{
    case Directory = 1;
    case Menu = 2;
    case Button = 3;

    public function label(): string
    {
        return match ($this) {
            self::Directory => '目录',
            self::Menu => '菜单',
            self::Button => '按钮',
        };
    }
}
